curl -X POST "https://secretvoip.com/portal-api/v1/sms/quote" \
-H "Authorization: Bearer $SVP_KEY" \
-H "Content-Type: application/json" \
-d '{
"numbers": "+45 12 34 56 78",
"message": "Your login code is 4821.",
"senderId": "SecretVoIP",
"mode": "world"
}'
{
"ok": true,
"parse": { "valid": 1, "duplicates": 0, "invalidCount": 0, "invalid": [],
"countries": [{ "cc": "45", "name": "Denmark", "count": 1 }] },
"segments": { "units": 24, "unicode": false, "segments": 1, "perSegment": 160, "max": 1 },
"sender": { "ok": true, "problem": null },
"routes": {
"world": [
{ "id": "21043c3c-d748-4fdd-9688-0d8294f9c80f", "name": "Standard Worldwide", "section": "world",
"recommended": false, "priceMin": "0.0752", "priceMax": "0.0752", "missing": [],
"usable": true, "perMessageTotal": "0.0752" }
],
"country": [{ "cc": "45", "name": "Denmark", "count": 1, "channels": [
{ "id": "…", "name": "Denmark CH1", "price": "0.1153", "usable": true } ] }],
"numbered": [ … ]
},
"total": "0.0000",
"messages": 0,
"problems": ["Pick a route."],
"problemCodes": [{ "key": "sms.problem.pickRoute" }],
"main": "8.8354"
}